aboutsummaryrefslogtreecommitdiffstats
path: root/config/hooks/services.sh.chroot
diff options
context:
space:
mode:
authorficus <ficus@robocracy.org>2012-11-23 20:14:13 +0100
committerficus <ficus@robocracy.org>2012-11-23 20:14:13 +0100
commitf6df416e105556ca98f996dd573dea08b4c622b0 (patch)
tree13d593be880b6ae02b4c165748540e5a98165ed1 /config/hooks/services.sh.chroot
parent0f4dd182b023dd8a34eab07702591d180feb86cc (diff)
downloadtorouter-live-f6df416e105556ca98f996dd573dea08b4c622b0.tar.gz
torouter-live-f6df416e105556ca98f996dd573dea08b4c622b0.zip
enable proxy (NAT configurations)
Diffstat (limited to 'config/hooks/services.sh.chroot')
-rwxr-xr-xconfig/hooks/services.sh.chroot9
1 files changed, 9 insertions, 0 deletions
diff --git a/config/hooks/services.sh.chroot b/config/hooks/services.sh.chroot
new file mode 100755
index 0000000..4b96505
--- /dev/null
+++ b/config/hooks/services.sh.chroot
@@ -0,0 +1,9 @@
+#!/bin/sh
+
+echo "Disabling network services (they get run by network scripts)"
+update-rc.d tor disable || true
+update-rc.d dnsmasq disable || true
+update-rc.d ttdnsd disable || true
+
+echo "Enable proxy"
+update-rc.d proxy enable defaults